### Method

# St ThemeNode geometry_equal

#### Declaration [src]

    gboolean
    st_theme_node_geometry_equal (
      StThemeNode* node,
      StThemeNode* other
    )

#### Description [src]

Tests if two theme nodes have the same borders and padding; this can be used to optimize having to relayout when the style applied to a Clutter actor changes colors without changing the geometry.

#### Parameters

`other`

  Type: `StThemeNode`

  A different `StThemeNode`.

  The data is owned by the caller of the method.

#### Return value

Type: `gboolean`

`TRUE` if equal, `FALSE` otherwise.